Skip to main content
GET
/
companies
/
{id}
Get company
curl --request GET \
  --url https://productlane.com/api/v2/companies/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://productlane.com/api/v2/companies/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://productlane.com/api/v2/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "logo_url": "<string>",
  "domains": [
    "<string>"
  ],
  "size": 123,
  "revenue": 123,
  "status_id": "<string>",
  "status_name": "<string>",
  "tier_id": "<string>",
  "tier_name": "<string>",
  "owner": {
    "id": "<string>",
    "name": "<string>",
    "avatar_url": "<string>"
  },
  "external_ids": [
    "<string>"
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Successful response

id
string
required
name
string
required
logo_url
string | null
required
domains
string[]
required
size
number | null
required
revenue
number | null
required
status_id
string | null
required
status_name
string | null
required
tier_id
string | null
required
tier_name
string | null
required
owner
object | null
required
external_ids
string[]
required

Caller-owned cross-system identifiers (CRM ids, etc.). Replaced wholesale on create/update.

created_at
string
required
updated_at
string
required